Last Comment Bug 8410 - [BLOCKER] loading about:blank causes hang
: [BLOCKER] loading about:blank causes hang
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Networking (show other bugs)
: Trunk
: x86 Windows NT
: P3 critical (vote)
: M9
Assigned To: Warren Harris
: Paul MacQuiddy
Mentors:
any, using gfx widgets
: 8232 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-17 12:33 PDT by buster
Modified: 1999-12-13 16:41 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description buster 1999-06-17 12:33:09 PDT
If you turn on gfx-rendered widgets in apprunner (add
user_pref("nglayout.widget.mode", 2); to your prefs), you will see that the
content window never loads, with the message "Scheduling later attempt to set
content window"  If you trace it down, you'll find that someone is loading
about:blank.

Similarly, I want to initialize an empty text field with about:blank instead
of using a dummy empty file as I do now, but I get the same sort of hang.  You
can try this yourself by changing nsGfxTextControlFrame.cpp:
- #define EMPTY_DOCUMENT "resource:/res/html/empty_doc.html"
+ #define EMPTY_DOCUMENT "about:blank"
Comment 1 bobj 1999-06-17 15:23:59 PDT
*** Bug 8232 has been marked as a duplicate of this bug. ***
Comment 2 Simon Fraser 1999-07-08 17:06:59 PDT
*** Bug 7060 has been marked as a duplicate of this bug. ***
Comment 3 leger 1999-07-20 12:16:59 PDT
Changing all Networking Library/Browser bugs to Networking-Core component for
Browser.

Occasionally, Bugzilla will burp and cause Verified bugs to reopen when I do
this in a bulk change.  If this happens, I will fix. ;-)
Comment 4 Warren Harris 1999-08-12 19:13:59 PDT
This was fixed long ago.
Comment 5 leger 1999-12-13 16:41:59 PST
Bulk move of all Necko (to be deleted component) bugs to new Networking

component.

Note You need to log in before you can comment on or make changes to this bug.